Get sign-up customers for a specific date
curl --request GET \
--url https://api.example.com/api/signup-pages/{id}/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/signup-pages/{id}/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/signup-pages/{id}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"CID": "CID-00123",
"name": "John",
"email": "john@gmail.com",
"url": "<string>",
"number_range_id": 123,
"marketing_opt_in_at": "2025-05-30T12:10:00Z"
}
],
"links": {},
"meta": {}
}{
"message": "The given Sign-up ID not found."
}{
"message": "Validation Error",
"errors": {
"date": [
"The date field is required."
]
}
}{
"message": "Failed to retrieve sign-up summary."
}Signup Pages
Get sign-up customers for a specific date
Returns a paginated list of customers who registered via the specified sign-up page on a given date.
GET
/
api
/
signup-pages
/
{id}
/
customers
Get sign-up customers for a specific date
Authorizations
Enter your JWT token in the format 'Bearer '
Path Parameters
Sign-up Page ID
Query Parameters
Date of registration (YYYY-MM-DD)
Number of results per page (pagination)
Page number to retrieve (default: 1)
⌘I